Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Class TooManyUsersException

    java.lang.Object
      JSException
          jet.server.api.TooManyUsersException

    public class TooManyUsersException

extends JSException

Too many users exception.

Constructor Summary
`TooManyUsersException(int msgKey)` Construct a new `TooManyUsersException` with specified message, the cause is not initialized.
`TooManyUsersException(int msgKey, java.lang.Object[] params, java.lang.Throwable cause)` Constructs a new throwable with the specified detail message and cause.
`TooManyUsersException(int msgKey, java.lang.Throwable cause)` Construct a new `TooManyUsersException` with specified detail message and cause.
`TooManyUsersException(java.lang.String message)`
`TooManyUsersException(java.lang.Throwable cause)` Construct a new `TooManyUsersException` with specified cause and a `null`detail message.``

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TooManyUsersException

    public TooManyUsersException(int msgKey,
                                 java.lang.Object[] params,
                                 java.lang.Throwable cause)

  Constructs a new throwable with the specified detail message and cause.

  Parameters:
    `msgKey` - the message key in strJError, for find the message, and will be loged and showed to user.
    `params` - the parameters used for format the message string, can be null.
    `cause` - the cause (which is saved for later retrieval by the getCause.

### TooManyUsersException

    public TooManyUsersException(int msgKey,
                                 java.lang.Throwable cause)

  Construct a new `TooManyUsersException` with specified detail message and cause.

  Parameters:
    `msgKey` - the message key
    `cause` - the cause. A `null` is permitted, and it indicates the cause is nonexistent or unknown.

### TooManyUsersException

    public TooManyUsersException(int msgKey)

  Construct a new `TooManyUsersException` with specified message, the cause is not initialized.

  Parameters:
    `msgKey` - the message key

### TooManyUsersException

    public TooManyUsersException(java.lang.Throwable cause)

  Construct a new `TooManyUsersException` with specified cause and a `null`detail message.

  Parameters:
    `cause` - the cause.
  ``

### TooManyUsersException

    public TooManyUsersException(java.lang.String message)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD